Index: trunk/DataCheck/Transfer/BackupQLA.sh
===================================================================
--- trunk/DataCheck/Transfer/BackupQLA.sh	(revision 18708)
+++ trunk/DataCheck/Transfer/BackupQLA.sh	(revision 18709)
@@ -14,15 +14,12 @@
 # get paths depending on host
 case $HOSTNAME in
-        dc11) from="fact_opr@isdc-nx00.isdc.unige.ch:/gpfs0/fact/processing/qla/"
-              to="/scratch/fact/qla"
-              ;;
-         daq) from="/loc_data/analysis/"
-              to="/newdaq/analysis_bu"
+         daq) from=( "/loc_data/analysis/" )
+              to=( "/newdaq/analysis_bu" )
               ## new temporary solution with rsync-servers
               #to="newdaq::newdaq/analysis_bu"
               ;;
-   isdc-dl00) from="fact@161.72.93.131:/daq/analysis/"
+   isdc-dl00) from=( "fact@161.72.93.131:/daq/analysis/" "/gpfs0/fact/processing/qla/" )
               #to="/gpfs/scratch/fact/qla"
-              to="/gpfs0/fact/processing/qla"
+              to=( "/gpfs0/fact/processing/qla"  "operator@coma.astro.uni-wuerzburg.de:/fact/data/qla")
               # for new rsync: update variables
               ;;
@@ -35,10 +32,14 @@
 date >> $logfile
 
-if ! rsync -av $from $to >> $logfile 2>&1
-then
-   printprocesslog "CONNECTION problem rsyncing QLA from "$from" to "$to
-   echo `date`": problem rsyncing QLA from "$from" to "$to >> $logfile 2>&1
-fi
-
+for (( i=0 ; i < ${#from[@]} ; i++ ))
+do 
+   printprocesslog "INFO rsync "${from[$i]}" to "${to[$i]}
+   echo "rsync from "${from[$i]}" to "${to[$i]} >> $logfile 2>&1
+   if ! rsync -auv ${from[$i]} ${to[$i]} >> $logfile 2>&1
+   then
+      printprocesslog "CONNECTION problem rsyncing QLA from "${from[$i]}" to "${to[$i]}
+      echo `date`": problem rsyncing QLA from "${from[$i]}" to "${to[$i]} >> $logfile 2>&1
+   fi
+done
 
 finish >> $logfile 2>&1
